classification
Title: launcher.msi has different product codes between 32 and 64-bit
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2016-09-12 20:37 by steve.dower, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (3)
msg276113 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-09-12 20:37
The launcher.msi file that is part of 3.6.0b1 is different between the 32-bit and 64-bit release - specifically, a different product code.

This means that when you install one followed by the other, it will insist on updating the launcher even though the are the same. This may cause unnecessary UAC prompts.

Other than this, there aren't any ill effects. But they're supposed to be using the same product code, so I need to investigate why they are different.
msg276856 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-17 23:14
New changeset 13001cf82931 by Steve Dower in branch '3.5':
Issue #28110: launcher.msi has different product codes between 32-bit and 64-bit
https://hg.python.org/cpython/rev/13001cf82931

New changeset f0fbb09e2d90 by Steve Dower in branch '3.6':
Issue #28110: launcher.msi has different product codes between 32-bit and 64-bit
https://hg.python.org/cpython/rev/f0fbb09e2d90

New changeset 64d6e96819a0 by Steve Dower in branch 'default':
Issue #28110: launcher.msi has different product codes between 32-bit and 64-bit
https://hg.python.org/cpython/rev/64d6e96819a0
msg276858 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-17 23:35
New changeset dd7e3c81c4f0 by Steve Dower in branch '3.6':
Fixes bad merge for issue #28110
https://hg.python.org/cpython/rev/dd7e3c81c4f0

New changeset f4cdc125ed52 by Steve Dower in branch 'default':
Fixes bad merge for issue #28110
https://hg.python.org/cpython/rev/f4cdc125ed52
History
Date User Action Args
2017-03-31 16:36:38dstufftsetpull_requests: + pull_request1106
2016-09-17 23:35:46steve.dowersetstatus: open -> closed
stage: needs patch -> resolved
resolution: fixed
versions: + Python 3.5, Python 3.7
2016-09-17 23:35:18python-devsetmessages: + msg276858
2016-09-17 23:14:32python-devsetnosy: + python-dev
messages: + msg276856
2016-09-12 20:37:52steve.dowersettitle: py launcher has different product codes between 32 and 64-bit -> launcher.msi has different product codes between 32 and 64-bit
2016-09-12 20:37:34steve.dowercreate